SquadValheim is a [Valheim](https://www.valheimgame.com/) collection of mods that improve the core game of Valehim without changing it too much.

SquadValheim relies on the [BepInEx](https://github.com/BepInEx/BepInEx) mod in order for all mods to work. When you install this modpack, it will download and install all the listed mods providing you are using Thunderstore Launcher or R2modman otherwise you will need to click on each mod and manually install it.

## Important Info

Mod | Keybinds | Description
:------ | :------ | :------
[Quick Ping](https://valheim.thunderstore.io/package/Atopy/QuickPing/) | T | Temp Ping
[Quick Ping](https://valheim.thunderstore.io/package/Atopy/QuickPing/) | G | Permanent Pin Ping on Map
[Valheim Raft](https://valheim.thunderstore.io/package/Valkria/ValheimRAFT/) | Space (While on Raft Steering Wheel) | Lifts Anchor (Unlocks Controls)
[Valheim Raft](https://valheim.thunderstore.io/package/Valkria/ValheimRAFT/) | Left Shifts (While on Raft Steering Wheel) | Lowers Anchor (Locks Controls)
[Mass Farming](https://valheim.thunderstore.io/package/Mokutan/MassFarming/) | Hold Left Shift (Before harvesting) | Harvests all items in a radius
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Hold Left Shift (Whilst Building) | Hold this key to rotate on the x-axis/plane
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Hold Left Alt (Whilst Building) | Hold this key to rotate on the z-axis/plane
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | V (Whilst Building) | Press this key to reset the selected axis to zero rotation
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Y (Whilst Building) | Press this key to reset all axis rotations to zero rotation
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Back Quote (Whilst Building) | Press this key to toggle rotation modes
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Page Up (Whilst Building) | Increase snap divisions (more rotations)
[Gizmo](https://valheim.thunderstore.io/package/ComfyMods/Gizmo/) | Page Down (Whilst Building) | Decrease snap divisions (less rotations)

## Features

For this pack to work properly on a server you must have the same modlist on the server side and client side. This pack is designed to improve Valheim's current game without ruining the core of the game, most of these mods provide a small changes to Valheim and make it more fun and enjoyable as well as improving quality of life. This modpack is compatible with the lastest Mistlands updated and more adds will be added once they are compatible.

Feature | Description
:------ | :------
[Jotunn](https://valheim.thunderstore.io/package/ValheimModding/Jotunn/) | Modding Libary - Dependency for 8 mods in this pack
[Valheim Raft](https://valheim.thunderstore.io/package/Valkria/ValheimRAFT/) | Allows you to build your own ships using the standard building mechanics
[Epic MMO System](https://valheim.thunderstore.io/package/WackyMole/WackyEpicMMOSystem/) | Adds an MMORPG based leveling system with grouping and creature levels
[Groups](https://valheim.thunderstore.io/package/Smoothbrain/Groups/) | Allows a partying/friend system for Epic MMO System
[Floating Items](https://valheim.thunderstore.io/package/castix/FloatingItems/) | Items dropped in the water will now float instead of sinking and being unretrievable
[BuildIt](https://valheim.thunderstore.io/package/OdinPlus/BuildIt/) | Adds a new hammer that allows you to build over 200 new options such as Drawbridges
[TripleBronzeJVL](https://valheim.thunderstore.io/package/OdinPlus/TripleBronzeJVL/) | Triples the amount of bronze you get from each craft to make more sense as well as remove some of the grind
[UseEquipmentInWater](https://valheim.thunderstore.io/package/LVH-IT/UseEquipmentInWater/) | Do everything you normally can do but in water!
[Valheim PvP Tweaks](https://valheim.thunderstore.io/package/Tristan/Valheim_PvP_Tweaks/) | Improves PvP and PvE combat
[SpeedyPaths](https://valheim.thunderstore.io/package/Nextek/SpeedyPaths/) | Gives more purpose to creating paths
[Instant Monster Loot Drop](https://valheim.thunderstore.io/package/Nexus/InstantMonsterLootDrop/) | Animals immediately explode once killed and drop their loot
[Heightmap Unlimited Remake](https://valheim.thunderstore.io/package/OdinPlus/Heightmap_Unlimited_Remake/) | Allows you to raise or the lower the terrain to whatever you desire
[Cooked Drops](https://valheim.thunderstore.io/package/dch/Cooked_Drops/) | Animals that are on fire before they die will drop a cooked version instead of raw
[Steady Regeneration](https://valheim.thunderstore.io/package/Smoothbrain/SteadyRegeneration/) | Improved health regeneration
[Evasion Skill](https://valheim.thunderstore.io/package/Smoothbrain/Evasion/) | Skill for dodging
[Mining Skill](https://valheim.thunderstore.io/package/Smoothbrain/Mining/) | Skill for mining
[Lumberjack Skill](https://valheim.thunderstore.io/package/Smoothbrain/Lumberjacking/) | Replaces the default wood cutting skill
[Sailing Skill](https://valheim.thunderstore.io/package/Smoothbrain/Sailing/) | Skill for sailing
[Quick Ping](https://valheim.thunderstore.io/package/Atopy/QuickPing/) | Allows you to ping anything you see with the name of the object/creature which will show up for all other players
[First Person](https://valheim.thunderstore.io/package/RoundStone/RoundStoneScrollFirstPerson/) | Adds a first person camera to the game
[IAmClanka](https://valheim.thunderstore.io/package/AeehyehssReeper/IAmClanka/) | Adds metal clanking sounds to certain metal armors
[Simple Recyling](https://valheim.thunderstore.io/package/remmiz/SimpleRecycling_Fixed/) | Allows to you to recycle items you have crafted for 50% of the original cost
[Quick Deposit](https://valheim.thunderstore.io/package/MaGic/Quick_Deposit/) | Adds a quick deposit item if you already have an item in the chest
[Fermenter Percentage](https://valheim.thunderstore.io/package/LTmadness/FermenterPercentage/) | Adds a visual % to the fermenter
[Mass Farming](https://valheim.thunderstore.io/package/Mokutan/MassFarming/) | Makes large scale farming easier by allowing you to hold left-shift to mass harvest

## Installation

Download this Pack by downloading [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) and then clicking "Install with Mod Manager" and wait a few minutes until you see 47 mods installed.

Please do not try to install this pack manualy unless you know what you're doing.

Alternatively you can use [r2modman](https://valheim.thunderstore.io/package/ebkr/r2modman/) to install the pack with dependencies

## Known Issues

Valheim Raft:
When multiple vikings take turns steering the raft, the anchor can get stuck. Solution is for anyone who has steered to walk off the raft and board it again.

## Compatability

All mods are compatabile with the latest Valheim patch as well as PTB of Mistlands however Valhiem updates may break some of these mods in the future.

## Change Log

Version Number | Change(s)
:------ | :------
v1.0.0 | Released
v1.0.1 | Removed MoreDefences and added 8 new mods
v1.0.2 | Added 4 new mods
V1.0.3 | Removed FishFix as latest PTB update fixed it
v1.0.4 | Removed BetterNetworing as not working
v1.0.5 | Removed FasterTeleport as not working/deprecated - Added Valharvest + BoneAppetit
v1.0.6 | Updated for Mistlands Public Released - Added 11 new mods - Removed 2
v1.0.7 | Add SoulCatcher for JewelCrafting
v1.0.8 | Added OdinsSteelworks
v1.1.0 | Config for EpicMMO

